Name:           teeworlds
Version:        0.7.3.1
Release:        %mkrel 1
Summary:        Online multi-player platform 2D shooter
Group:          Games/Arcade
License:        Teeworlds
URL:            http://www.teeworlds.com/
Source0:        https://github.com/teeworlds/teeworlds/releases/download/%{version}/%{name}-%{version}-src.tar.xz
Source2:        teeworlds.desktop
Patch0:         teeworlds-0.7.3.1-gamesbindir.patch

BuildRequires: cmake
BuildRequires: dos2unix
BuildRequires: icoutils
BuildRequires: lib64freetype6-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pnglite-devel
BuildRequires: lib64sdl2.0-devel
BuildRequires: lib64wavpack-devel
BuildRequires: mesa-devel

%description
The game features cartoon-themed graphics and physics,
and relies heavily on classic shooter weaponry and gameplay.
The controls are heavily inspired by the FPS genre of computer games.


%prep
%setup -qn %{name}-%{version}-src
%apply_patches

rm -rf src/engine/external/{pnglite,wavpack,zlib}
dos2unix readme.md

%build
%cmake
%make_build

%install
%make_install -C build

install -d %{buildroot}%{_iconsdir}/hicolor/256x256/apps
icotool -i 1 -x other/icons/teeworlds.ico -o %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

install -D -m644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc readme.md license.txt
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%doc readme.md license.txt
%{_gamesbindir}/%{name}_srv
%{_datadir}/%{name}/data/fonts/DejaVuSans.ttf

%changelog
* Tue Apr 23 2019 tex 0.7.3.1-1pclos2019
- Version 0.7.3.1
